# Проект библиотеки для быстрого рассчёта количества необходимого сырья для производства той или иной продукции

Функции реализованные в библиотеке:

- int GetQuantityForProduct(int productType, int materialType, int count, float width, float length) - Расчитывает количество сырья, необходимого для производства продукции вида productType из материалов вида materialType, в количестве count и с шириной width и длинной length

## Начало работы

Эти инструкции предоставят вам копию проекта и помогут запустить на вашем локальном компьютере для разработки и тестирования.
Вы можете получить экземпляр проекта следуя по одному из двух путей:
1. Клонирование GOGS репозитория
2. Скачивание архива из GOGS репозитория

### Необходимые условия

Для работы с проектом требуется: 
- Доступ к GOGS [репозиторию проекта](http://gogs.ngknn.ru:3000/Mesery/WSUniversalLib)
- [Microsoft Visual Studio](https://visualstudio.microsoft.com/ru/)

### Установка

1. **Клонирование репозитория**
	- Открыть Microsoft Visual Studio
	- В стартовом меню выбрать пункт "Клонирование репозитория"
	- В появившемся окне, в поле "Расположение репозитория" необходимо скопировать ссылку на репозиторий
	- В поле "Путь" можно выбрать путь скачивания проекта или оставить его по умолчанию
	- Нажать на кнопку "Клонировать"
1. **Скачивание архива**
	- Скачать архив из GOGS репозитория, нажав на кнопку скачивания архива рядом со ссылкой на репозиторий и выбрав тип архива
	- Разархивировать скаченный архив
	- Открыть проект кликом по .sln файлу в разархивированной папке

## Авторы

* **Vorobiew Kirill** - *tester and programmer* - [Meserygamer](https://github.com/Meserygamer)
